Package org.apache.synapse.commons.evaluators

## Class NotEvaluator

- java.lang.Object
- - org.apache.synapse.commons.evaluators.NotEvaluator

- All Implemented Interfaces:
    `Evaluator`

      public class NotEvaluator
      extends Object
      implements Evaluator

  This encapsulates a boolean expression. This acts as not boolean operator. It executes the boolean expression inside and return the NOT of this expression.

       <not>
           one evaluator
       </not>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NotEvaluator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `evaluate​(EvaluatorContext context)` | Evaluate a boolean expression
    `Evaluator` | `getEvaluator()` |
    `String` | `getName()` | Name of the evaluator
    `void` | `setEvaluator​(Evaluator evaluator)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NotEvaluator

          public NotEvaluator()

  - ### Method Detail

    - #### evaluate

          public boolean evaluate​(EvaluatorContext context)
                           throws EvaluatorException

      Description copied from interface: `Evaluator`
      Evaluate a boolean expression
      Specified by:
        `evaluate` in interface `Evaluator`
      Parameters:
        `context` - hold the information about the HTTP request
      Returns:
        result of evaluating the boolean expression
      Throws:
        `EvaluatorException` - if an error occurs while evaluating the HTTP request

    - #### getName

          public String getName()

      Description copied from interface: `Evaluator`
      Name of the evaluator
      Specified by:
        `getName` in interface `Evaluator`
      Returns:
        name of the evaluator

    - #### setEvaluator

          public void setEvaluator​(Evaluator evaluator)

    - #### getEvaluator

          public Evaluator getEvaluator()